package com.ytpm.service.xjlrl;

import com.ytpm.app.param.DyzAdRecordParam;
import com.ytpm.general.Result;
import com.ytpm.middle.view.DashboardRankingListVO;
import com.ytpm.middle.view.DashboardRevenueVO;

import java.math.BigDecimal;
import java.util.Map;

public interface XjlrlAdService {
    /**
     * 保存广告记录
     */
    Result<?> saveRecord(DyzAdRecordParam param);

    /**
     * 根据应用查询广告数量
     */
    Map<String, BigDecimal> getAdCount(String appIds);

    /**
     * 查询排行榜信息
     */
    DashboardRankingListVO queryRankingList(Integer sortBy, Integer limit);
    /**
     * 查询各渠道应用收益分时统计
     */
    DashboardRevenueVO revenueStatics(String apkIds);
}
